Bug 465208 - Can't install both giflib-devel.i386 and giflib-devel.x86_64
Can't install both giflib-devel.i386 and giflib-devel.x86_64
Product: Fedora
Classification: Fedora
Component: giflib (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-10-02 01:58 EDT by Jeremy Fitzhardinge
Modified: 2009-06-18 07:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.1.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-09 18:21:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Fitzhardinge 2008-10-02 01:58:03 EDT
Description of problem:
Can't install both giflib-devel.i386 and giflib-devel.x86_64.  Install fails due to a conflicting file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install giflib-devel.i386 giflib-devel.x86_64
Actual results:
Install fails.

Expected results:
Install succeeds.

Additional info:
yum install giflib-devel.i386 giflib-devel.x86_64
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Package giflib-devel-4.1.3-9.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package giflib-devel.i386 0:4.1.3-9 set to be updated
--> Processing Dependency: libgif.so.4 for package: giflib-devel
--> Processing Dependency: libungif.so.4 for package: giflib-devel
--> Running transaction check
---> Package giflib.i386 0:4.1.3-9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

 Package               Arch          Version          Repository          Size 
 giflib-devel          i386          4.1.3-9          rawhide             107 k
Installing for dependencies:
 giflib                i386          4.1.3-9          rawhide              39 k

Transaction Summary
Install      2 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total size: 146 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test

Transaction Check Error:
  file /usr/share/doc/giflib-devel-4.1.3/Makefile from install of giflib-devel-4.1.3-9.i386 conflicts with file from package giflib-devel-4.1.3-9.x86_64

Error Summary
Comment 1 Bug Zapper 2008-11-25 22:27:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 2 Fedora Admin XMLRPC Client 2009-05-09 14:22:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Update System 2009-05-09 18:17:37 EDT
giflib-4.1.6-2.fc10 has been submitted as an update for Fedora 10.
Comment 4 Fedora Update System 2009-05-15 21:53:24 EDT
giflib-4.1.3-10.fc9 has been submitted as an update for Fedora 9.
Comment 5 Fedora Update System 2009-05-18 22:08:59 EDT
giflib-4.1.3-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-06-18 07:39:09 EDT
giflib-4.1.6-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.